Skip to main content
GET
/
planDetails
/
{plan_id}
/
charges
List plan charges
curl --request GET \
  --url https://api.metronome.com/v1/planDetails/{plan_id}/charges \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.metronome.com/v1/planDetails/{plan_id}/charges"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.metronome.com/v1/planDetails/{plan_id}/charges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "a23b3cf4-47fb-4c3f-bb3d-9e64f7704015",
      "name": "Server Hours",
      "product_id": "d7998a03-db47-4d3f-97e4-d26f3f418718",
      "product_name": "Dedicated Server",
      "start_period": 0,
      "tier_reset_frequency": 1,
      "credit_type": {
        "id": "2714e483-4ff1-48e4-9e25-ac732e8f24f2",
        "name": "USD (cents)"
      },
      "charge_type": "usage",
      "prices": [
        {
          "value": 50,
          "tier": 0
        }
      ],
      "custom_fields": {
        "x_account_id": "KyVnHhSBWl7eY2bl"
      }
    }
  ],
  "next_page": "31646362333134302d363735362d346661372d396436362d383"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

plan_id
string<uuid>
required

Query Parameters

limit
integer

Max number of results that should be returned

Required range: 1 <= x <= 100
next_page
string

Cursor that indicates where the next page of results should start.

Response

200 - application/json

Success

data
object[]
required
next_page
string | null
required